body {
  font-family: "Sarabun", sans-serif;
  background-color: white !important;
  margin-left: 0;
  margin-right: 0;
  color: black;
  /* min-width: 1340px; */
}

.container_main {
  max-width: 1340px;
}

/* slick js */
.single-item-slider {
  .slick-dots {
    z-index: 10;
    bottom: 80px;
    li {
      margin: 0 5px;
      button {
        padding: 0;
        width: 23px;
        height: 23px;
        border-radius: 100%;
        transition: all 0.3s ease;
        &:before {
          font-size: 20px;
          line-height: 24px;
          width: 23px;
          height: 23px;
          opacity: 1;
          color: #00beff;
        }
      }

      &.slick-active {
        button {
          border: 4px solid white;
          background-color: transparent;

          &:before {
            color: #026dbf;
          }
        }
      }
    }
  }
}
.slick-highlight {
  .slick-prev::before {
    content: "";
    height: 37px;
    width: 37px;
    background: url("../images/png/icon/prev01.png");
    display: block;
    opacity: 1;
    background-repeat: no-repeat;
  }
  .slick-next::before {
    content: "";
    height: 37px;
    width: 37px;
    background: url("../images/png/icon/next01.png");
    display: block;
    opacity: 1;
    background-repeat: no-repeat;
  }
  .slick-next {
    z-index: 1;
    right: 47px;
  }
  .slick-prev {
    left: 30px;
    z-index: 1;
  }
  .slick-dots li button::before {
    color: #b86ff5;
    opacity: 1;
    font-size: 10px;
  }
  .slick-dots li.slick-active button::before {
    opacity: 1;
    color: #5d02b7;
    font-size: 14px;
  }
  .slick-dots {
    bottom: -35px;
    inset-inline: 0px;
  }
  .slick-dots li {
    margin: 0 -2px;
  }
}

.slick-journal {
  .slick-prev::before {
    content: "";
    height: 37px;
    width: 37px;
    background: url("../images/png/icon/prev01.png");
    display: block;
    opacity: 1;
    background-repeat: no-repeat;
  }
  .slick-next::before {
    content: "";
    height: 37px;
    width: 37px;
    background: url("../images/png/icon/next01.png");
    display: block;
    opacity: 1;
    background-repeat: no-repeat;
  }
  .slick-next {
    right: -23px;
  }
  .slick-prev {
    left: -40px;
  }
}
.pictures-item-slider {
  button.slick-prev.slick-arrow {
    z-index: 10;
    left: -39px;
  }
  .slick-prev::before {
    content: "";
    background: url("../images/svg/icon/arrow_prev.svg");
    height: 44px;
    width: 44px;
    display: block;
    opacity: 1;
    background-repeat: no-repeat;
  }
  .slick-next::before {
    content: "";
    background: url("../images/svg/icon/arrow_prev.svg");
    rotate: 180deg;
    height: 44px;
    width: 44px;
    display: block;
    opacity: 1;
    background-repeat: no-repeat;
  }
  button.slick-next.slick-arrow {
    z-index: 10;
    right: -15px;
  }
}
.bn-item-slider {
  button.slick-prev.slick-arrow {
    z-index: 10;
    left: -72px;
  }
  .slick-prev::before {
    content: "";
    background: url("../images/svg/icon/arrow_prev.svg");
    height: 44px;
    width: 44px;
    display: block;
    opacity: 1;
    background-repeat: no-repeat;
  }
  .slick-next::before {
    content: "";
    background: url("../images/svg/icon/arrow_prev.svg");
    rotate: 180deg;
    height: 44px;
    width: 44px;
    display: block;
    opacity: 1;
    background-repeat: no-repeat;
  }
  button.slick-next.slick-arrow {
    z-index: 10;
    right: -50px;
  }
}
.otop-item-slider {
  button.slick-prev.slick-arrow {
    z-index: 10;
    left: -39px;
  }
  .slick-prev::before {
    content: "";
    background: url("../images/svg/icon/arrow_prev.svg");
    height: 44px;
    width: 44px;
    display: block;
    opacity: 1;
    background-repeat: no-repeat;
  }
  .slick-next::before {
    content: "";
    background: url("../images/svg/icon/arrow_prev.svg");
    rotate: 180deg;
    height: 44px;
    width: 44px;
    display: block;
    opacity: 1;
    background-repeat: no-repeat;
  }
}

/* box-shadow */
.shadow-01020 {
  box-shadow: 0px 10px 2px 0px rgba(204, 210, 210, 0.35);
}
.shadow-07120 {
  box-shadow: 0px 7px 12px 0px rgba(154, 150, 150, 0.5);
}
.shadow-0320 {
  box-shadow: 0px 3px 2px 0px rgba(177, 173, 173, 0.5);
}

/* skitter */
.bg-bubbles li {
  position: absolute;
  list-style: none;
  display: block;
  width: 40px;
  height: 40px;
  background-color: rgba(255, 255, 255, 0.267);
  bottom: -160px;

  clip-path: polygon(
    50% 0%,
    61% 35%,
    98% 35%,
    68% 57%,
    79% 91%,
    50% 70%,
    21% 91%,
    32% 57%,
    2% 35%,
    39% 35%
  );

  -webkit-animation: square 25s infinite;
  animation: square 25s infinite;
  -webkit-transition-timing-function: linear;
  transition-timing-function: linear;
}

.bg-bubbles li:nth-child(1) {
  left: 10%;
}
.bg-bubbles li:nth-child(2) {
  left: 20%;
  width: 80px;
  height: 80px;
  -webkit-animation-delay: 2s;
  animation-delay: 2s;
  -webkit-animation-duration: 17s;
  animation-duration: 17s;
}
.bg-bubbles li:nth-child(3) {
  left: 25%;
  -webkit-animation-delay: 4s;
  animation-delay: 4s;
}
.bg-bubbles li:nth-child(4) {
  left: 40%;
  width: 60px;
  height: 60px;
  -webkit-animation-duration: 22s;
  animation-duration: 22s;
  background-color: rgba(255, 255, 255, 0.25);
}
.bg-bubbles li:nth-child(5) {
  left: 70%;
}
.bg-bubbles li:nth-child(6) {
  left: 80%;
  width: 120px;
  height: 120px;
  -webkit-animation-delay: 3s;
  animation-delay: 3s;
  background-color: rgba(255, 255, 255, 0.2);
}
.bg-bubbles li:nth-child(7) {
  left: 32%;
  width: 160px;
  height: 160px;
  -webkit-animation-delay: 7s;
  animation-delay: 7s;
}
.bg-bubbles li:nth-child(8) {
  left: 55%;
  width: 20px;
  height: 20px;
  -webkit-animation-delay: 15s;
  animation-delay: 15s;
  -webkit-animation-duration: 40s;
  animation-duration: 40s;
}
.bg-bubbles li:nth-child(9) {
  left: 25%;
  width: 10px;
  height: 10px;
  -webkit-animation-delay: 2s;
  animation-delay: 2s;
  -webkit-animation-duration: 40s;
  animation-duration: 40s;
  background-color: rgba(255, 255, 255, 0.3);
}
.bg-bubbles li:nth-child(10) {
  left: 85%;
  width: 160px;
  height: 160px;
  -webkit-animation-delay: 11s;
  animation-delay: 11s;
}

@-webkit-keyframes square {
  0% {
    -webkit-transform: translateY(0);
    transform: translateY(0);
  }
  100% {
    -webkit-transform: translateY(-700px) rotate(600deg);
    transform: translateY(-1000px) rotate(600deg);
  }
}
@keyframes square {
  0% {
    -webkit-transform: translateY(0);
    transform: translateY(0);
  }
  100% {
    -webkit-transform: translateY(-700px) rotate(600deg);
    transform: translateY(-1000px) rotate(600deg);
  }
}

.skitter-large {
  max-width: none !important;
  width: 100% !important;
}

.skitter-large .container_skitter {
  z-index: 1;
}

.skitter-large .container_skitter .image .label_skitter {
  background: #ffffff9a !important;
  bottom: 95px;
}
.skitter-large .container_skitter .image .label_skitter p {
  color: black;
  font-weight: 600;
  font-size: 30px;
  text-align: center;
}

/*  */

.dial-main {
  position: fixed;
  bottom: 1.5rem;
  right: 1.5rem;
  cursor: pointer;
  transition-property: all;
  transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
  transition-duration: 500ms;
}

.dial-icon {
  display: flex;
  height: 3.5rem;
  width: 3.5rem;
  align-items: center;
  justify-content: center;
  border-radius: 9999px;
  --tw-bg-opacity: 1;
  background-color: rgb(236 179 112 / var(--tw-bg-opacity, 1));
  transition-property: all;
  transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
  transition-duration: 300ms;
}

.dial-icon:hover {
  --tw-bg-opacity: 1;
  background-color: rgb(224 96 21 / var(--tw-bg-opacity, 1));
  --tw-text-opacity: 1;
  color: rgb(255 255 255 / var(--tw-text-opacity, 1));
}

/* lazyimg */
.lazy-image {
  position: relative;
  overflow: hidden;
}
.lazy-image-preview,
.lazy-image-full {
  min-width: 100%;
  min-height: 100%;
}
.lazy-image-full {
  position: absolute;
  top: 0;
  left: 0;
}
.lazy-image-preview {
  filter: blur(1rem);
  transform: scale(1.1);
}
.lazy-image-full {
  opacity: 0;
  transform: scale(1.1);
  transition:
    opacity 1s ease-in-out,
    transform 0.8s ease-in-out;
}
.lazy-image-full-loaded {
  opacity: 1;
  transform: scale(1);
}

.se-wrapper-inner {
  background-color: white !important;
}

.sun-editor {
  border: none !important;
}

.scrollbar-left {
  direction: rtl;
}
.scrollbar-left > * {
  direction: ltr;
}

/* paginattion */
.pagination li {
  display: inline;
}

.pagination a {
  float: left;
  padding: 0 12px;
  line-height: 30px;
  text-decoration: none;
  border: 1px solid #ddd;
}

.pagination .active a,
.pagination a:hover {
  background-color: #1563a7;
  color: white;
}

.pagination .active a {
  color: white;
  cursor: default;
}

.pagination .disabled a,
.pagination .disabled a:hover,
.pagination .disabled span {
  color: #94999e;
  background-color: transparent;
  cursor: default;
}

.pagination li:first-child a,
.pagination li:first-child span {
  /* border-left-width: 1px; */
  -webkit-border-radius: 3px 0 0 3px;
  -moz-border-radius: 3px 0 0 3px;
  border-radius: 10px 0 0 10px;
}

.pagination li:last-child a {
  -webkit-border-radius: 0 3px 3px 0;
  -moz-border-radius: 0 3px 3px 0;
  border-radius: 0 10px 10px 0;
}

/* endpaginattion */

.person-list > .box {
  display: inline-block;
  width: 250px;
  margin: 20px;
  box-sizing: border-box;
  vertical-align: top;
}

.lightbox:focus {
  pointer-events: none;
  outline: 0;
}

.img-popup {
  position: fixed;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  background: rgba(38, 40, 52, 0.9);
  text-align: center;
  display: none;
  z-index: 9999999999999;
  animation: pop-in;
  animation-duration: 0.5s;
  -webkit-animation: pop-in 0.5s;
  -moz-animation: pop-in 0.5s;
  -ms-animation: pop-in 0.5s;
}

.img-popup img {
  position: absolute;
  top: 50%;
  max-width: 100%;
  max-height: 99vh;
  box-shadow: 3px 3px 10px black;
  display: inline-block;
  transform: translate(-50%, -50%);
}

.lightboxfadeout {
  animation: fadeout;
  animation-duration: 0.5s;
  -webkit-animation: fadeout 0.5s;
  -moz-animation: fadeout 0.5s;
  -ms-animation: fadeout 0.5s;
}

#kothing-editor_details {
  border-radius: 10px !important;
}

.scollnotab::-webkit-scrollbar {
  width: 0 !important;
}

.fade-enter-active,
.fade-leave-active {
  transition: opacity 0.5s;
}
.fade-enter-from,
.fade-leave-to {
  opacity: 0;
}

/** demo9 **/
.component-fade-enter-active,
.component-fade-leave-active {
  transition: opacity 0.3s ease;
}
.component-fade-enter,
.component-fade-leave-active {
  opacity: 0;
}

.sub-menu {
  transition-property: all;
  transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
  transition-duration: 500ms;
}

.sub-menu:hover {
  padding-left: 0.5rem;
  --tw-text-opacity: 1;
  color: rgb(37 99 235 / var(--tw-text-opacity, 1));
  text-decoration-line: underline;
}

.card-sub-menu {
  margin-left: auto;
  margin-right: auto;
  display: grid;
  max-width: 1280px;
  padding-left: 1rem;
  padding-right: 1rem;
  padding-top: 1.25rem;
  padding-bottom: 1.25rem;
  font-size: 0.875rem;
  line-height: 1.25rem;
}

.clip-hexagon {
  clip-path: polygon(50% 0, 100% 20%, 100% 88%, 50% 100%, 0 88%, 0 20%);
}

@media (min-width: 768px) {
  .card-sub-menu {
    grid-template-columns: repeat(3, minmax(0, 1fr));
  }
}

.line-clamp-2 {
  display: -webkit-box;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
  overflow: hidden;
}

@media print {
  #bottom-navigation {
    display: none;
  }
  iframe {
    display: none !important;
  }
  .print-link {
    display: block;
  }
}

@media screen {
    .print-link { display: none; } /* ซ่อนตอนดูปกติ */
}
.sun-editor {
  caret-color: transparent !important;
}

.hoverfootertext:hover {
  cursor: pointer;
  color: #0054a5;
  text-shadow:
    rgb(255, 255, 0) 1px 0px 0px,
    rgb(255, 255, 0) 1.75517px 0.958851px 0px,
    rgb(255, 255, 0) 1.0806px 1.68294px 0px,
    rgb(255, 255, 0) 0.141474px 1.99499px 0px,
    rgb(255, 255, 0) -0.832294px 1.81859px 0px,
    rgb(255, 255, 0) -1.60229px 1.19694px 0px,
    rgb(255, 255, 0) -1.97998px 0.28224px 0px,
    rgb(255, 255, 0) -1.87291px -0.701566px 0px,
    rgb(255, 255, 0) -1.30729px -1.5136px 0px,
    rgb(255, 255, 0) -0.421592px -1.95506px 0px,
    rgb(255, 255, 0) 0.567324px -1.91785px 0px,
    rgb(255, 255, 0) 1.41734px -1.41108px 0px,
    rgb(255, 255, 0) 1.92034px -0.558831px 0px;
}
